std::_Rb_tree_node_base(3)

NAME
std::_Rb_tree_node_base -

SYNOPSIS

Inherited by _Rb_tree_node.

Detailed Description

Definition at line 92 of file stl_tree.h.

  Public Types
typedef _Rb_tree_node_base * _Base_ptr
typedef const _Rb_tree_node_base * _Const_Base_ptr

  Static Public Member Functions
static _Const_Base_ptr _S_maximum (_Const_Base_ptr __x)
static _Base_ptr _S_maximum (_Base_ptr __x)
static _Const_Base_ptr _S_minimum (_Const_Base_ptr __x)
static _Base_ptr _S_minimum (_Base_ptr __x)

  Public Attributes
_Rb_tree_color _M_color
_Base_ptr _M_left
_Base_ptr _M_parent
_Base_ptr _M_right

Author

Generated automatically by Doxygen for libstdc++ from the source code.